#include <cstdio>
#include <cstring>
#include <algorithm>
using namespace std;
char buf[1005];
int c[127];
int main()
{
    int k;
    scanf("%d%s",&k,buf);
    int len=strlen(buf);
    if(len%k)
        return puts("-1"),0;
    for(int i=0; i<len; i++)
        c[buf[i]]++;
    for(int i='a'; i<='z'; i++)
        if(c[i]%k)
            return puts("-1"),0;
    for(int i=0; i<k; i++)
        for(int j='a'; j<='z'; j++)
            for(int l=0; l<c[j]/k; l++)
                putchar(j);
    return 0;
}
